Bug 439967 - Messages past password prompt
Messages past password prompt
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-01 00:41 EDT by Ray Todd Stevens
Modified: 2008-08-14 05:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-14 05:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ray Todd Stevens 2008-04-01 00:41:28 EDT
Description of problem:

Version-Release number of selected component (if applicable):

the updates as of this date.

How reproducible:


Steps to Reproduce:
1.   boot the system
2.   get to the place where the password prompt for encrypted volumes should be
3.   it is displayed, but the screen keeps scrolling. 
  3 additional messages are displayed.
hub 1-0:1.0: hub_suspend
usb usb1: bus auto-suspend
usb usb1: suspend_rh

Expected results:

that you can type the password right after the prompt instead of having this
confusing set of messages, which at first meant that I thought that the boot
hand hung.  If you do type in the passwrd everything else works.

Additional info:
Comment 1 Bill Nottingham 2008-04-01 00:56:40 EDT
Not sure this is fixable without just nuking the kernel messages entirely.
Comment 2 Jeremy Katz 2008-04-01 09:28:57 EDT
Having quiet on in the final should "help", but mostly due to the fact that the
messages don't appear :)
Comment 3 Ray Todd Stevens 2008-04-01 10:39:46 EDT
As a comment and suggestion how about a couple of blank lines before the prompt.
  That should at least make it stand out a little more and make it less
confusing if this occurs.   It also would help make it stand out and be easier
to spot that user interaction is needed even if no other issues are in place.
Comment 4 Ray Todd Stevens 2008-04-23 16:44:45 EDT
This seems to be fixed in beta

Comment 5 Bug Zapper 2008-05-14 04:30:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Ray Todd Stevens 2008-06-01 22:01:06 EDT
Tried this with the production release and it seems to be fixed there too.   

Comment 3 would still be nice, but that is probably more of a RFE for version 10
or something.  Seems to be to be time to close this one.
Comment 7 Alexander Todorov 2008-08-14 05:00:45 EDT
based on comment #4 and my personal experience with F9 encrypted block devices I'm closing this issue.

Note You need to log in before you can comment on or make changes to this bug.